Favicon

You are here: Home > API Reference > App Distribution > Application > Get list of download by csv

Get list of download by csv

Required Permission: mad.application.management.list

Get list of download by csv

GET
/v1/organizations/:organizationId/apps/downloads/csv
Copy to clipboard

Get list of download by csv

Required Permission: mad.application.management.list

Get list of download by csv

Request

Add parameter in header authorization
Example: Authorization: Bearer <token>
organizationId string
required
Unique identifier or URL-friendly slug for the organization that owns the applications to operate on, establishing organizational scope for all nested application operations.
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
search string
optional
≤ 256 characters
appName string
optional
≤ 128 characters
appIds string
optional
≤ 500 characters
iniDate string
optional
Format: date-time
endDate string
optional
Format: date-time

Responses

200 Response application/json
status boolean optional
data array [object] optional
applicationId string optional
Match pattern: ^[a-fA-F0-9]{24}$
applicationName string optional
≤ 128 characters
buildId string optional
Match pattern: ^[a-fA-F0-9]{24}$
buildOriginalFileName string optional
≤ 256 characters
buildVersionName string optional
≤ 256 characters
buildVersionCode string optional
≤ 256 characters
buildCreatedAt string optional
Format: date-time
numDownloads number optional
Format: float
{
    "status": true,
    "data": [
        {
            "applicationId": "string",
            "applicationName": "string",
            "buildId": "string",
            "buildOriginalFileName": "string",
            "buildVersionName": "string",
            "buildVersionCode": "string",
            "buildCreatedAt": "2024-01-01T00: 00:00Z",
            "numDownloads": 0
        }
    ]
}
400 Response application/json
status boolean optional
false
error object optional
code number optional
5049
message string optional
No data
{
    "status": false,
    "error": {
        "code": 5049,
        "message": "No data"
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}